- Qt 6.8
- Qt SQL
- C++ Classes
- QSqlDatabase
- Qt 6.8.0 Reference Documentation

# Obsolete Members for QSqlDatabase

The following members of class QSqlDatabase are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.6)` QSqlQuery | exec(const QString &query = QString()) const

## Member Function Documentation

### `[deprecated in 6.6]` QSqlQuery QSqlDatabase::exec(const QString &query = QString()) const

This function is deprecated since 6.6. We strongly advise against using it in new code.

Executes a SQL statement on the database and returns a QSqlQuery object. Use lastError() to retrieve error information. If query is empty, an empty, invalid query is returned and lastError() is not affected.

Use QSqlQuery::exec() instead.

See also QSqlQuery and lastError().